Knowledgebase: Installing
How to install the plug-in(s) in Photoshop Elements 8 (Mac OS X)
Posted by - NA -, Last modified by on 14 October 2009 10:14 AM
Please make sure to download and install the latest version of our plug-in(s), which are available at our Download Page. Imagenomic's current versions are fully Elements 8 compatible.

Comments (0)